package app

import (
	"gogs.tyduyong.com/duyong/dy-pkg/app/flagsets"
)

// CommandLineOptions 从命令行中读取选项参数接口
type CommandLineOptions interface {
	Flags() flagsets.NamedFlagSets
	Validate() []error
}

// CompleteOptions 选项补全抽象接口
type CompleteOptions interface {
	Complete() error
}

// PrintOptions 选项打印抽象接口
type PrintOptions interface {
	String() string
}

// 一些常用的第三方应用配置选项。
